#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
#include "EntityStateResist.h"
#include "EntityStateSplash.h"
#define CS_HEALTHREFILLWATER_CREATENAME L"CS_healthrefillwater"
class CS_HealthRefillWater :
    public Entity
{
public:
    CS_HealthRefillWater();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    EntityStateGravity stateGravity;
    EntityStateResist stateResist;
    EntityStateSplash stateSplash;
};

std::shared_ptr<Entity> CreateCS_HealthRefillWater();